<?php
/**
 * @package		JomSocial
 * @subpackage 	Template 
 * @copyright (C) 2008 by Slashes & Dots Sdn Bhd - All rights reserved!
 * @license		GNU/GPL, see LICENSE.php
 * 
 */
defined('_JEXEC') or die();
?>
<div class="frontlogin-greybox clrfix">
	<div class="frontlogin-bg clrfix">
		<div class="frontlogin-form clrfix">
			<div class="frontlogin-inner clrfix">
				<form action="<?php echo CRoute::getURI();?>" method="post" name="login" id="form-login" >
				<h2><?php echo JText::_('COM_COMMUNITY_MEMBER_LOGIN'); ?></h2>
				
					<p id="frontlogin-username">
						<label for="username"><?php echo JText::_('COM_COMMUNITY_USERNAME'); ?></label>
						<input type="text" class="inputbox frontlogin" name="username" id="username" />
					</p>

					<p id="frontlogin-password">
						<label for="password"><?php echo JText::_('COM_COMMUNITY_PASSWORD'); ?></label>
						<input type="password" class="inputbox frontlogin" name="<?php echo COM_USER_PASSWORD_INPUT;?>" id="password" />
					</p>

					<?php if(JPluginHelper::isEnabled('system', 'remember')) : ?>					
						<p id="frontlogin-remember">
							<label for="remember"><?php echo JText::_('COM_COMMUNITY_REMEMBER_MY_DETAILS'); ?></label>
							<input type="checkbox" alt="<?php echo JText::_('COM_COMMUNITY_REMEMBER_MY_DETAILS'); ?>" value="yes" id="remember" name="remember"/>
						</p>
					<?php endif; ?>
					<div class="clr"></div>
					<input type="submit" value="<?php echo JText::_('COM_COMMUNITY_LOGIN_BUTTON');?>" name="submit" id="submit" class="button" />
					<input type="hidden" name="option" value="<?php echo COM_USER_NAME;?>" />
					<input type="hidden" name="task" value="<?php echo COM_USER_TAKS_LOGIN;?>" />
					<input type="hidden" name="return" value="<?php echo $return; ?>" />
					<?php echo JHTML::_( 'form.token' ); ?>					
					<?php echo $fbHtml;?>				
					<div class="clr"></div>
					<ul class="frontlogin-userlinks">
						<li><a href="<?php echo CRoute::_( 'index.php?option='.COM_USER_NAME.'&view=reset' ); ?>" class="login-forgot-password"><span><?php echo JText::_('COM_COMMUNITY_FORGOT_YOUR'). ' '. JText::_('COM_COMMUNITY_PASSWORD').'?'; ?></span></a></li>
						<li><a href="<?php echo CRoute::_( 'index.php?option='.COM_USER_NAME.'&view=remind' ); ?>" class="login-forgot-username"><span><?php echo JText::_('COM_COMMUNITY_FORGOT_YOUR'). ' '. JText::_('COM_COMMUNITY_USERNAME').'?'; ?></span></a></li>
						<?php if($useractivation){?>
							<li><a href="<?php echo CRoute::_( 'index.php?option=com_community&view=register&task=activation' ); ?>" class="login-forgot-username">
								<span><?php echo JText::_('COM_COMMUNITY_RESEND_ACTIVATION_CODE'); ?></span>
							</a></li>
						<?php }?>
					</ul>
					
					<?php if ($usersConfig->get('allowUserRegistration')) : ?>
						<div style="text-align:center" class="joinbutton">
							<a id="joinButton" href="<?php echo CRoute::_( 'index.php?option=com_community&view=register' , false ); ?>" title="<?php echo JText::_('COM_COMMUNITY_JOIN_US_NOW'); ?>">
								<?php echo JText::_('COM_COMMUNITY_JOIN_US_NOW'); ?>
							</a>
						</div>
					<?php endif; ?>
						
				</form>
			</div>
		</div>	
	</div>
</div>