<?php
/*------------------------------------------------------------------------
# News Show SP1 - News display module by JoomShaper.com
# ------------------------------------------------------------------------
# author    JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2012 JoomShaper.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomshaper.com 
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Restricted access');
$content_source		= $params->get('content_source', 'joomla');
$modhelper 			= ($content_source =="joomla") ? 'helper.php' : 'k2helper.php';
require_once (dirname(__FILE__).DS.$modhelper);
$uniqid				= $module->id;
$list 				= modNSSP1Helper::getList($params, $uniqid);
$float				= $params->get('float', 'left');
$article_count		= $params->get('article_count',3);
$cols				= $params->get('cols', 1);
$col_padding		= $params->get('col_padding');
$links		    	= $params->get('links',1)==1 ? true : false;
$link_count			= $params->get('link_count',3);
$link_padding		= $params->get('link_padding');
$more_text			= $params->get('more_text',1);
$link_pos			= $params->get('link_pos','right');
$tcount 			= $links ? $article_count + $link_count : $article_count; 
$acount 			= count($list);

$showtitle			= $params->get('showtitle', 1);
$titlelinkable		= $params->get('titlelinkable', 1);
$showauthor			= $params->get('showauthor', 1);
$showcat			= $params->get('showcat', 1);
$cat_link			= $params->get('cat_link', 1);
$showdate			= $params->get('showdate', 1);
$showdesc			= $params->get('showdesc', 1);
$showimage			= $params->get('showimage', 1);
$linked_image		= $params->get('linked_image', 1);
$imgpos				= $params->get('imgpos', 'left');
$img_margin			= $params->get('img_margin');
$thumbratio			= $params->get('thumbratio', 1) ? true : false;
$thumbwidth			= trim($params->get('thumbwidth', 50));
$thumbheight		= trim($params->get('thumbheight', 50));

$showreadmore		= $params->get('showreadmore', 1);
$readon_text		= $params->get('readon_text', 'Read More');
$showhits			= $params->get('showhits', 1);
$showcomments		= $params->get('showcomments', 1);
$itemExtraFields	= $params->get('itemExtraFields', 1);

if ($cols>$article_count) $cols=$article_count;

if ($tcount>=$acount) {
	$tcount=$acount;
	if ($article_count>=$tcount) {
		$article_count=$tcount;
		$link_count=0;
	} else {
		if ($link_count>$tcount-$article_count) {
			$link_count=$tcount-$article_count;
		}
	}
}

$document = &JFactory::getDocument();
$document->addStylesheet(JURI::base() . 'modules/mod_news_show_sp1/assets/css/style.css');
require(JModuleHelper::getLayoutPath('mod_news_show_sp1'));
?>
